linux-keystone: 3.13.0-19.30 -proposed tracker

Bug #1396375 reported by Brad Figg on 2014-11-25
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Ike Panhc
Automated-testing
Medium
Registry Administrators
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Ike Panhc
Prepare-package-meta
Medium
Ike Panhc
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Ubuntu Stable Release Updates Team
Promote-to-updates
Medium
Ubuntu Stable Release Updates Team
Regression-testing
Medium
Ike Panhc
Security-signoff
Medium
Unassigned
Upload-to-ppa-dnu
Medium
Unassigned
Verification-testing
Medium
Ike Panhc
linux-keystone (Ubuntu)
Medium
Unassigned
Trusty
Medium
Ike Panhc

Bug Description

This bug is for tracking the 3.13.0-19.30 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 25. November 2014 22:52 UTC
kernel-stable-master-bug:1396112
kernel-stable-Certification-testing-end:Wednesday, 26. November 2014 02:02 UTC
kernel-stable-Security-signoff-end:Wednesday, 26. November 2014 02:02 UTC
kernel-stable-Prepare-package-end:Wednesday, 26. November 2014 08:02 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 26. November 2014 08:02 UTC
ppa-package-testing-start:Wednesday, 26. November 2014 08:02 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 26. November 2014 20:58 UTC
kernel-stable-Verification-testing-start:Wednesday, 26. November 2014 22:02 UTC
kernel-stable-Regression-testing-start:Wednesday, 26. November 2014 22:02 UTC
kernel-stable-Regression-testing-end:Thursday, 27. November 2014 12:02 UTC
kernel-stable-phase:CopyToUpdates
kernel-stable-phase-changed:Thursday, 11. December 2014 05:33 UTC
kernel-stable-Promote-to-updates-start:Thursday, 11. December 2014 05:33 UTC

This tracking bug was opened to be worked from linux-3.13.0-41.70 update (bug 1396112)

tags: added: kernel-release-tracking-bug
tags: added: armhf
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-keystone (Ubuntu):
importance: Undecided → Medium
Changed in linux-keystone (Ubuntu Trusty):
importance: Undecided → Medium
Ike Panhc (ikepanhc) on 2014-11-26
summary: - linux-keystone: <version to be filled> -proposed tracker
+ linux-keystone: 3.13.0-19.30 -proposed tracker
description: updated
Changed in linux-keystone (Ubuntu Trusty):
assignee: nobody → Ike Panhc (ikepanhc)
status: New → In Progress
Changed in linux-keystone (Ubuntu):
status: New → Invalid
Changed in kernel-sru-workflow:
assignee: nobody → Ike Panhc (ikepanhc)
Brad Figg (brad-figg) on 2014-11-26
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Chris J Arges (arges) wrote :

Promoted to proposed:
 linux-keystone | 3.13.0-19.30 | trusty-proposed | source
 linux-meta-keystone | 3.13.0.19.17 | trusty-proposed | source

Brad Figg (brad-figg) on 2014-11-26
description: updated
Brad Figg (brad-figg) on 2014-11-26
description: updated
Ike Panhc (ikepanhc) wrote :

Smoke functional (LPAE, SMP, SATA, Ethernet, SRIO, reboot) passed.

The regression-testing task was set to Fix Released but neither the qa-testing-passed or qa-testing-failed tag was applied

Changed in kernel-sru-workflow:
status: In Progress → Incomplete
description: updated
Ike Panhc (ikepanhc) on 2014-11-27
tags: added: qa-testing-passed
Changed in kernel-sru-workflow:
status: Incomplete → In Progress
Brad Figg (brad-figg) on 2014-11-27
description: updated
Brad Figg (brad-figg) on 2014-12-11
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-keystone - 3.13.0-19.32

---------------
linux-keystone (3.13.0-19.32) trusty; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1400562
  * Rebase to Ubuntu-3.13.0-43.72

  [ Ubuntu: 3.13.0-43.72 ]

  * Release Tracking Bug
    - LP: #1400408
  * x86_64, traps: Fix the espfix64 #DF fixup and rewrite it in C
    - LP: #1398795
    - CVE-2014-9090
  * x86_64, traps: Rework bad_iret
    - LP: #1398795
    - CVE-2014-9090
  * x86, kvm: Clear paravirt_enabled on KVM guests for espfix32's benefit
    - LP: #1400314
    - CVE-2014-8134
 -- Ike Panhc <email address hidden> Tue, 09 Dec 2014 12:58:50 +0800

Changed in linux-keystone (Ubuntu Trusty):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers